        if ((FIRect.Right - FIRect.Left)< 1.5) and ((FIRect.Bottom - FIRect.Top)< 1.5) and
              Entity.IsOnePixelOptimisationValid and Temp then
        begin
           FColor := GetEntityColor(Entity, FDraw.Insert);
          if (FColor = clNone) or (DrawMode = dmBlack) then
            FColor := GetDrawPenColor;
          if ((FPixel.X = FIRect.Left) and (FPixel.Y = FIRect.Top)) and
            (FPixelColor = FColor) then
            Exit;
          FPixelColor := FColor;
          ExpPixelInteger(Entity, Point(FIRect.Left, FIRect.Top), FPixelColor);
          FPixel := Point(FIRect.Left, FIRect.Top);
          if Entity.EntType = cePoint then
            DrawEntityOnSnapMatrix(Entity);
          // SetPixelEx - evg!!! it is needed to add E.DefaultPoint: TFPOint property here
          Exit;
        end;
